%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-DBD-mysql
Version:       4.025
Release:       1mamba
Summary:       BD::mysql - A Perl5 Database Interface to the MySQL database
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/DBD-mysql-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libmysql5-devel
BuildRequires: libz-devel
BuildRequires: perl-DBI
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
BuildRoot:     %{_tmppath}/perl-root

%description
DBD::mysql - A Perl5 Database Interface to the MySQL database.

%prep
%setup -q -n DBD-mysql-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}
#make test

%install
[[ "%{buildroot}" ]] && rm -rf %{buildroot}
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[[ -z "$packlist" ]] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[[ "%{buildroot}" ]] && rm -rf %{buildroot}

%files -f .packlist
%defattr(-,root,root)

%changelog
* Fri Dec 27 2013 Automatic Build System <autodist@mambasoft.it> 4.025-1mamba
- automatic update by autodist

* Wed Sep 18 2013 Automatic Build System <autodist@mambasoft.it> 4.024-1mamba
- automatic update by autodist

* Sat Apr 13 2013 Automatic Build System <autodist@mambasoft.it> 4.023-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.022-1mamba
- update to 4.022

* Wed Mar 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0008-3mamba
- automatic rebuild by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0008-2mamba
- automatic rebuild by autodist

* Sat Jul 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0008-1mamba
- update to 3.0008
- disabled test because they require a configured mysql account

* Fri Oct 22 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.1028-1qilnx
- package created by autospec
